<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Slider;

class SliderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function getIndex()
    {
        return view('Admin.Slider');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'image' => 'required',

        ]);
        $save= new Slider;
        $save->title=$request->title;
        $save->title_nepali=$request->title_nepali;
        $save->description=null;
        $save->description_nepali=null;
        $save->token=AdminlogController::getToken('Slider');
        $save->save();
        AdminlogController::FileSaver( $request,'Slider',1920,1080);
       return redirect('admin_slider')->with('info', 'Datas Saved Successfully!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
         $last=Slider::where('id',$id)->first();
         $new_count=0;
         $new_count=AdminlogController::FileUpdater($request,'Slider',1920,1080,null,$last->token);

        $data=array(

        'title'=>$request->title,
        'title_nepali'=>$request->title_nepali,
        'description'=>$request->description,
        'description_nepali'=>$request->description_nepali,



);


        Slider::where('id',$id)->update($data);
        return redirect('admin_slider')->with('info', 'Data updated Successfully!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
